Unknowns API Reference
| Field | Value |
|---|---|
| Source spec | unknowns/openapi/v1.json |
| OpenAPI version | 3.1.1 |
| API version | 1.0.0 |
| Operations | 9 |
| Path filter | All paths |
Operations
GET /api/unknowns
List unknowns with pagination
unknowns.unknown.list_description
| Property | Value |
|---|---|
| Operation ID | ListUnknowns |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
asOf | query | no | |
kind | query | no | |
severity | query | no | |
skip | query | no | |
subjectRef | query | no | |
take | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
GET /api/unknowns/high-confidence
Get unknowns with high-confidence hints
unknowns.unknown.get_high_confidence_description
| Property | Value |
|---|---|
| Operation ID | GetHighConfidenceHints |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
limit | query | no | |
minConfidence | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
GET /api/unknowns/hot-queue
Get HOT unknowns for immediate processing
unknowns.unknown.get_hot_queue_description
| Property | Value |
|---|---|
| Operation ID | GetHotQueue |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
limit | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
GET /api/unknowns/summary
Get unknowns summary statistics
unknowns.unknown.summary_description
| Property | Value |
|---|---|
| Operation ID | GetUnknownsSummary |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
GET /api/unknowns/triage/{band}
Get unknowns by triage band
unknowns.unknown.get_by_triage_band_description
| Property | Value |
|---|---|
| Operation ID | GetUnknownsByTriageBand |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
band | path | yes | |
limit | query | no | |
offset | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
GET /api/unknowns/{id}
Get unknown by ID
unknowns.unknown.get_by_id_description
| Property | Value |
|---|---|
| Operation ID | GetUnknownById |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
id | path | yes |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
404 | Not Found | - |
GET /api/unknowns/{id}/hints
Get provenance hints for unknown
unknowns.unknown.get_hints_description
| Property | Value |
|---|---|
| Operation ID | GetUnknownHints |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
id | path | yes |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
404 | Not Found | - |
GET /api/unknowns/{id}/history
Get bitemporal history for unknown
unknowns.unknown.get_history_description
| Property | Value |
|---|---|
| Operation ID | GetUnknownHistory |
| Tags | Unknowns |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
id | path | yes | |
from | query | no | |
to | query | no |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
404 | Not Found | - |
GET /doctor/unknowns/checks
| Property | Value |
|---|---|
| Operation ID | - |
| Tags | Health |
| Auth | Not declared |
| Request body | - |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | - |
